#### D.14.1.18 arrLocalize

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrLocalize(A, v); arrangement A, intvec v;

Return:
  arr: the localized arrangement A_X, i.e. A_X only contains the hyperplanes which contain the flat X, which is defined by the equations A[v]

Example:

    LIB "arr.lib";
    ring R = 0,(x,y,z),dp;
    arr A=arrTypeB(3);
    intvec v=5,8;
    arr B=arrLocalize(A,v);
    B;
    ==> _[1]=x-y
    ==> _[2]=x+y
    ==> _[3]=x
    ==> _[4]=y
    ==>

See also: arrCone; arrDecone; arrEssentialize; arrIsEssential; arrRestrict.

User manual for Singular version 4.4.1, 2025, generated by texi2html.